
## Overview of alternative Digitizing Software

To extract information from a figure, the general method is: 

1. upload an image 
2. set the x and y scales by indicating the values at two points on each axis 
3. indicate if the scale is linear, log, etc, 
4. click on the points. 
 
Some software programs automatically recognize lines or points. However, since points are usually sought after, the results are often too inconsistent to be helpful even with 100s of points. Also, no program has yet been found to be able to distinguish different symbols. This feature could be worth the trouble for digitizing lines, but this is not commonly required.

The program returns each point as an x-y matrix.

Often it helps selecting points if the image is zoomed, either by uploading a zoomed version of the image or using the zooming feature available in some of the programs.



### List of available Programs

I have experience with the following programs. All of these work well fine. Except in contexts where measurement error is very small, error from graph scraping is insignificant (e.g. error from digitization << size of error bars or uncertainty in the estimate). I have not tested the accuracy of any of these programs, but it would be interesting to compare among users, among programs, and against the results of reproduced statistical analyses.


* [Digitizer](http://digitizer.sourceforge.net/) (shareware) auto point / line recognition. Available in Ubuntu repository (engauge-digitizer)
* [Get Data](http://www.getdata-graph-digitizer.com/) (shareware) has zoom window, auto point / line recognition
* [DigitizeIt](http://www.digitizeit.de/) (shareware) auto point / line recognition
* [ImageJ](http://rsbweb.nih.gov/ij/) (open source, most extensible after R digitize)
* [R digitize](http://cran.r-project.org/web/packages/digitize/index.html) (free, open source), because it simplifies the processs of getting data from the graph into an analysis by keeping all of the steps in R. See the [tutorial in R-Journal](http://journal.r-project.org/archive/2011-1/RJournal_2011-1_Poisot.pdf)
* [GrabIt!](http://www.datatrendsoftware.com/home.html) (free demo, $69) Excel 
plug-in 

I have not used these:

* [GraphClick](http://www.arizona-software.ch/graphclick/) (Mac, $8)
* [g3data](http://www.frantz.fi/software/g3data.php) (open source - GNU GPL) Has zoom window, no auto-recognition. Available in Ubuntu repository.

###  Extracting Data using R

To extract data from a jpg file in R using the digitize package:  

1.  Save image as a `*.jpg` file
2.  Open R
3.  Change the directory that R is using to the one where the image is
4.  Use R code below to extract data, display it, and save it in a `csv`
    file (steps below)
5.  Upload csv to the project file in google spreadsheet, or open as
    excel/openoffice and copy/paste to google spreadsheet

### Extracting Data From a Figure using GetData

1.  Open PDF in Adobe Reader.
2.  Zoom in on the figure
3.  Choose `Tools` → `Select and Zoom`
4.  Open Paint
5.  Paste Picture
6.  Save as `authorYYYYabc\_figX.jpg`
7.  Open Get Data
8.  `File` → `open` open figure
9.  Select button with two arrows (fourth from left)
10. Follow instructions to select x min, x max, y min and y max. If the
    x-axis has a categorical variable, it does not matter what values
    you use for x min and x max.
11. Make sure to set the correct values for the max and min of each
    axis, and indicate if the axis is log-scaled
12. Select the target button (seven from left)
13. Click over center of desired data points and error bars
14. Copy data to a Google spreadsheet. See [Google Spreadsheets] (#Section 3).
15. Calculate SE as the distance between the error bar upper bound and
    the mean (absolute value of difference between the two points)
